Package eu.mhsl.minenet.minigames.util

# Class BatchUtil

java.lang.Object
eu.mhsl.minenet.minigames.util.BatchUtil

public class BatchUtil extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long[]`
  `getAffectedChunks(net.minestom.server.instance.batch.AbsoluteBlockBatch batch)`
  `static void`
  `loadAndApplyBatch(net.minestom.server.instance.batch.AbsoluteBlockBatch batch, net.minestom.server.instance.InstanceContainer instance, Runnable onFinish)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BatchUtil

    public BatchUtil()

- ## Method Details

  - ### getAffectedChunks

    public static long[] getAffectedChunks(net.minestom.server.instance.batch.AbsoluteBlockBatch batch)

  - ### loadAndApplyBatch

    public static void loadAndApplyBatch(net.minestom.server.instance.batch.AbsoluteBlockBatch batch, net.minestom.server.instance.InstanceContainer instance, Runnable onFinish)